Bug 6285 - overdues csv columns
Summary: overdues csv columns
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-29 17:36 UTC by Paul Poulain
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.08 KB, patch)
2011-04-29 17:37 UTC, Paul Poulain
Details | Diff | Splinter Review
Signed-off patch (1.14 KB, patch)
2011-06-15 14:36 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-04-29 17:36:16 UTC
uploading the circ overdues result in a csv with columns in a strange order
and not the order of the screen
This patch reorder the column by putting the usefull ones first

(MT6196)
Comment 1 Paul Poulain 2011-04-29 17:37:03 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-06-15 14:36:23 UTC
Created attachment 4482 [details] [review]
Signed-off patch

Before applying the patch, :8080/cgi-bin/koha/circ/overdue.pl?op=csv produced a CSV file with the columns in alphabetical order by column name.

After applying the patch the same URL produces a CSV file with the columns in the order specified in the patch, which does look better. 

Signing off!
Comment 3 Paul Poulain 2011-08-10 13:03:40 UTC
QA comment

It's a trivial (2 lines) patch, that is usefull for overdues readability. Marking passed QA even it i'm the author, I think it's not worth having 4 eyes validating : Me, Magnus, and Chris (when merging) is enough for a so small patch
Comment 4 Chris Cormack 2011-08-10 19:02:30 UTC
The proposal for QA was

"a) he would not mark any patch he himself has written as Passed QA
b) any patch written by BibLibre would need a signoff from another, external person before he'd test it
c) he would start with the patches that have been waiting the longest
d) the QAM and RM could reject any "Passed QA" patch if they feel it's not sufficient for whatever reason (which would need to be noted in the bug report)"

So even though this is a trivial patch like you say, I would like us to follow the rules we made for ourselves.

Ian can you take a look at this too please.
Comment 5 Paul Poulain 2011-10-06 12:47:04 UTC
2 months later, ian has'nt QAed this one line patch.
I mark again as "passed QA", chris you can object again, but in this case, please bug ian ;-)
Comment 6 Chris Cormack 2011-10-07 00:40:55 UTC
Still waiting QA from Ian
Comment 7 Ian Walls 2011-10-18 16:21:05 UTC
explicitly-defined keys are consistent with data exported.  The order is much more useful than alphabetical.  Marking as Passed QA.
Comment 8 Chris Cormack 2011-10-19 03:51:48 UTC
Pushed, please test